<?php
$content = file_get_contents("php://input");


error_reporting(E_ALL);
ini_set('display_errors', '1');

print("here1 <br />");
require 'vendor/autoload.php';
include('class/bot.php');
include('class/db.php');
include('class/general.php');
include('class/exchange.php');

use Telegram\Bot\Api;

$bot = new bot("7849977545:AAE_bSX5pijBB0f9ye3REzwLs_r3ISCVjtk", $content);
$db = new db();
$general = new general();
/*
$channelId = '-1001886617693';
$vipChannel = $bot->getChannelLink($channelId);
print("VIP CHANNEL IS : ".$vipChannel);
exit();
*/
$db->getinfo($bot->chatid, $bot->username, $bot->firstname, $bot->lastname);
$telegram_lib = new Api('7849977545:AAE_bSX5pijBB0f9ye3REzwLs_r3ISCVjtk');




/* if (inchannel($bot->chatid, '@BitRabin') != 'ok') {
    

    $key = json_encode(
        array(
            "inline_keyboard" => array(
                array(
                    array("url" => "https://t.me/BitRabin", "text" => "📣 عضویت در کانال"),
                ),
                array(
                    array("callback_data" => "/start", "text" => "✅ تایید عضویت"),
                ),
            )
        )
    );
$text = "برای استفاده از خدمات VIP ربات هوشمند BitRabin ابتدا باید وارد کانال «عمومی» شوید

📣 https://t.me/+aQU0-ZsYteZkZTg0 
📆 2023-08-26 16:34:23

پس از عضویت در کانال عمومی BitRabin روی دکمه « ✅ تایید عضویت » بزنید 👇";
    $bot->sendmessage(urlencode($text), $bot->chatid, $key);

    exit();
} */






/*
$nowpayments = new NowPaymentsAPI('3A49KYH-Z6M40CV-GCDRFTK-8AG27SS');
$currencies = $nowpayments->getCurrencies();
print_r($currencies);
print('<hr />');
$params['price_amount'] = 100;
$params['price_currency'] = 'USDT';
$params['pay_currency'] = 'bnbbsc';
$params['ipn_callback_url'] = 'https://teleaccmanager.telegramtools.io/dev/telegram_vip_channel_final/getter.php';
$create_payment = $nowpayments->createPayment($params);
print_r($create_payment);
$json_decode = json_decode($create_payment, true);
$status = $json_decode['status'];
$message = $json_decode['message'];
if ($status == false) {
    print("Error : " . $message);
}
exit();
*/
//checking new invited user

if ($bot->exRecmsg[0] == "nudm") {

    $mainchatid = $bot->exRecmsg[1];
    $newHead = $bot->exRecmsg[2];
    $sql = "select * from users where chatid='" . $bot->chatid . "'  ";
    $stmt = $db->conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    $getter = $stmt->fetchAll();
    $numrowfusers = $stmt->rowCount();
    //$bot->sendmessage(urlencode("alo $numrowfusers "), $bot->chatid, '');
    if ($numrowfusers == "0") {

        $text = "
✅️ شما قبلا با این لینک وارد ربات شده بودید
";
        $bot->sendmessage(urlencode($text), $bot->chatid, '');

        $sql = "insert into adduser (chatid,mainchatid,head) values ('" . $bot->chatid . "',\"$mainchatid\",\"$newHead\")";
        $db->conn->exec($sql);
    } else {
        $text = "
⭕️ شما قبلا وارد ربات شده بودید
";
        $bot->sendmessage(urlencode($text), $bot->chatid, '');
    }

    $bot->recmsg = '/start';
}











if ($bot->recmsg == "/start" ||  $bot->recmsg == "/") {
$text = "
🗣 سلام در ابتدا باید ثبت نام کنید لطفا نام و نام خانوادگی خود را وارد کنید 
";

$keys = json_encode(
    array(
        
        "remove_keyboard" => True
    )
);

    $bot->sendmessage(urlencode($text), $bot->chatid, $keys);

    $sql = "update users set  req1='getName' where chatid='" . $bot->chatid . "' ";
    $db->conn->exec($sql);
} 


elseif ( $bot->recmsg == "🔙  بازگشت") {
$text = "
🗣 لطفا گزینه ی مورد نظر خود را انتخاب کنید 
";
    
        $bot->sendmessage(urlencode($text), $bot->chatid, $bot->mainKey);
    
        $sql = "update users set  req1='' where chatid='" . $bot->chatid . "' ";
        $db->conn->exec($sql);
    } 

elseif ($bot->recmsg == '👤 اشتراک من') {


    $sql = "select * from users where chatid='" . $bot->chatid . "'  ";
    $stmt = $db->conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    $getter = $stmt->fetchAll();


    $expire_time = $getter[0]["expire_time"];

    $remain = round(($expire_time - time()) / (24 * 3600));


    if ($expire_time <= 1000) {
        $bot->sendmessage(urlencode("🗣 شما اشتراکی ندارید"), $bot->chatid, $bot->backKey);
        exit();
    }



    if($expire_time >= 99999999999){
        $remain = "اشتراک شما دائمی میباشد";
    }


    $bot->sendmessage(urlencode("
    $db->phone

⏳اشتراک باقی مانده : $remain


"), $bot->chatid, $bot->backKey);
} 

elseif ($bot->recmsg == "📞 پشتیبانی") {
    $bot->sendmessage(urlencode("👤 ارتباط با ما : <a href='https://t.me/GlD_Admin' >GlD_Admin</a>"), $bot->chatid, $bot->backKey);
}

elseif ($bot->recmsg == '❓درباره ی ما') {
$text = "ChatGPT
🌟 من با تجربه معاملات شخصی خود، اطلاعات و استراتژی‌هایم را با شما به اشتراک می‌گذارم:

🔹 دریافت ریواردهای جذاب
🔹 اجرای معاملات به‌صورت لایو ترید
🔹 ارسال سیگنال‌های دقیق با نقاط ورود مشخص

📊 با همراهی هم، در مسیر موفقیت مالی گام برمی‌داریم. ";
    $bot->sendmessage(urlencode($text), $bot->chatid, $bot->backKey);
}


elseif($db->req1 == "getName"){
$text = "🗣 نام و نام خانوادگی دریافت شد

لطفا بر روی اشتراک گذاری شماره کلیک کنید
";

$keys = json_encode(
    array(
        "keyboard" => array(
            array(array("text" => urlencode("اشتراک گذاری شماره"), "request_contact" => TRUE)),
            array("🔙  بازگشت"),
        ),
         "resize_keyboard" => TRUE
    )
);
$bot->sendmessage(urlencode($text), $bot->chatid, $keys);

$sql = "update users set req1='getPhone', name='$bot->recmsg' where chatid='" . $bot->chatid . "'";
$db->conn->exec($sql);


   
} elseif ($db->req1 == 'getPhone') {

    if ($bot->phone == '') {
        $text = "
🗣 لطفا برای اشتراک گذاری شماره بر روی اشتراک گذاری شماره کلیک کنید 
    
         ";
        $keys = json_encode(
            array(
                "keyboard" => array(
                    array(array("text" => urlencode("اشتراک گذاری شماره"), "request_contact" => TRUE)),
                    array("🔙  بازگشت"),
                ),
                 "resize_keyboard" => TRUE
                )
        );
        $bot->sendmessage(urlencode($text), $bot->chatid, $keys);
        exit();
    }


    $text = "ثبت نام تکمیل شد لطفا از منوی زیر گزینه ی مورد  نظر خود را انتخاب کنید";
    $bot->sendmessage(urlencode($text), $bot->chatid, $bot->mainKey);

    $sql = "update users set req1='', req2='', phone='$bot->phone' where chatid='" . $bot->chatid . "' ";
    // $bot->sendmessage(urlencode('$sql : ' . $sql), $bot->chatid, $bot->mainKey);

    $db->conn->exec($sql);
    
} 




elseif($bot->recmsg == '☑️ هفت روز اشتراک رایگان VIP'){
    
    if($db->freeMembership != 'no'){
        $text = "شما از شرایط اشتراک رایگان استفاده کرده اید";
        $bot->sendmessage(urlencode($text), $bot->chatid, $bot->mainKey);
        exit();
    }

        // Check and update expire_time
        if ($db->expireTime > time()) {
            // Add 7 days to the existing expire_time
            $new_expire_time = intval($db->expireTime) + (60*60*24*7);
        } else {
            // Set expire_time to 7 days from now
            $new_expire_time = time() + (60*60*24*7);
        }
    
        $channelId = -1002498630544;
        $bot->unBanMember($bot->chatid, $channelId);

        $vipChannel = $bot->generateTelegramInviteLink($channelId)['invite_link'];


$text = "✅ هفت روز اشتراک رایگان به شما اضافه شد

لینک کانال : 
$vipChannel
";
        $bot->sendmessage(urlencode($text), $bot->chatid, $bot->mainKey);


    $sql = "update users set   expire_time='" . $new_expire_time . "', free_sub='yes'  where chatid='" . $bot->chatid . "' ";
    $db->conn->exec($sql);
}






elseif($bot->recmsg == '✅ عضویت VIP'){
    
    $keys = json_encode(
        array(
            "keyboard" => array(
                array(urlencode("پرداخت اشتراک")),
                array(urlencode('عضویت رایگان')),
                array(urlencode("🔙  بازگشت")),
            ), 

         "resize_keyboard" => TRUE

        )
    );
 
    $text = "لطفا نحوه ی پرداخت خود را انتخاب کنید";

    $bot->sendmessage(urlencode($text), $bot->chatid, $keys);

}

elseif($bot->recmsg == 'عضویت رایگان'){

$text = "سلام ، به طرح عضویت دائم و رایگان گلدن سیگنال کریپتو خوش اومدید 🌹

در این کانال هیچگونه هزینه‌ای از شما گرفته نمیشه و تماماً رایگان است و بصورت عضویت دائم ❤️

⚠️‌ تک تک مراحل رو به ترتیب بخونید و انجام بدید👇


اول : در صرافی TOOBIT از طریق لینک زیر ثبت نام کنید 
‌

ثبت نام در صرافی توبیت 👇

https://www.toobit.com/t/tvTWHS


یا به صورت کد <code>tvTWHS</code> را وارد کنید.

نکته » (حسابتون باید فعال باشه و گردش داشته و کل ترید‌هاتون با حساب رفرال مجموعه باشه وگرنه حذف خواهید شد‌ (عضویت در کانال دائم هست تا زمانی که حسابتون فعال باشه )) ❌

کل سرمایه ای که دارید باید وارد حساب کنید و حساب فعال باشه ✔️

حداقل داراییتون باید بالای 100 تتر باشه ❌
 
و سپس وقتی حساب ساخته شد، UID بالای پرو فایل رو برای ربات ارسال کنید.

در آخر : بعد از تایید ربات، لینک کانال VIP براتون ارسال میشه و عضویتتون رایگان و دائم خواهد بود.


برای ارسال UID روی گزینه ی ارسال UID کلیک کنید 👇";

$keys = json_encode(
    array(
        "keyboard" => array(
            array(urlencode('ارسال UID')),
            array(urlencode("🔙  بازگشت")),
        ), 

     "resize_keyboard" => TRUE

    )
);

    // $text = "🗣 لطفا UID خود را وارد کنید";
    $bot->sendmessage(urlencode($text), $bot->chatid, $keys);


    $sql = "update users set  req1='' where chatid='" . $bot->chatid . "' ";
    // $sql = "update users set  req1='getUID' where chatid='" . $bot->chatid . "' ";
    $db->conn->exec($sql);

}


elseif($bot->recmsg == 'ارسال UID'){
    $text = "🗣 لطفا UID خود را وارد کنید";
    $bot->sendmessage(urlencode($text), $bot->chatid, $bot->backKey);

    $sql = "update users set  req1='getUID' where chatid='" . $bot->chatid . "' ";
    $db->conn->exec($sql);
}

elseif ($db->req1 == 'getUID') {

    if (!is_numeric($bot->recmsg) || strlen((string)$bot->recmsg) >= 12) {
        $bot->sendmessage(urlencode("🗣 کد UID وارد شده صحیح نمیباشد کد را به صورت صحیح وارد کنید"), $bot->chatid, $bot->backKey);
        exit();

    }
    $exchange = new Exchange();
    // $uid = 218868372; // Replace with a valid UID
    $depositDetails = $exchange->getDepositDetails($bot->recmsg);
    if(!isset($depositDetails[0]['quantity'])) {
        // $quantity = $depositDetails[0]['quantity']; // Access the quantity value
        $bot->sendmessage(urlencode("🗣 کد UID وارد شده در صرافی پیدا نشد"), $bot->chatid, $bot->backKey);
        exit();
    }

    if($db->getUidExistance($bot->recmsg) > 0){
        $bot->sendmessage(urlencode("🗣 کد UID قبلا توسط فرد دیگری ثبت شده"), $bot->chatid, $bot->backKey);
        exit();
    }

    if($depositDetails[0]['quantity'] < 100){
        $bot->sendmessage(urlencode("🗣 برای دریافت عضویت دائم حداقل اعتبار 100 تتر میباشد"), $bot->chatid, $bot->backKey);
        exit();
    }

        
    $channelId = -1002498630544;
    $bot->unBanMember($bot->chatid, $channelId);

    $vipChannel = $bot->generateTelegramInviteLink($channelId)['invite_link'];


$text = "✅ عضویت دائم به شما تعلق گرفت

لینک کانال : 
$vipChannel
";
    $bot->sendmessage(urlencode($text), $bot->chatid, $bot->backKey);

    $sql = "update users set  req1='', req2='', uid='$bot->recmsg', expire_time='99999999999' where chatid='" . $bot->chatid . "' ";
    $db->conn->exec($sql);

}



elseif($bot->recmsg == 'پرداخت اشتراک'){

    $sql = "select * from package ";
    $stmt = $db->conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    $packages = $stmt->fetchAll();


    $keyFirst = [];
    $keySecond = [];
    foreach($packages as $package){
        $keyFirst[] = urlencode($package['title']);
        $keySecond[] = $keyFirst;
        unset($keyFirst);
    }
    $keyFirst[] = urlencode("🔙  بازگشت");
    $keySecond[] = $keyFirst;
    unset($keyFirst);


    $keys = json_encode(
        array(
            "keyboard" => $keySecond,
            "resize_keyboard" => true
        )
    );
 
    $text = "🗣 لطفا پکیج مورد نظر خود را انتخاب کنید";

    $bot->sendmessage(urlencode($text), $bot->chatid, $keys);


    $sql = "update users set  req1='getPack', req2='' where chatid='" . $bot->chatid . "' ";
    $db->conn->exec($sql);
}





elseif ($db->req1 == 'getPack') {

    $sql = "select * from package where title = '". $bot->recmsg . "' ";
    $stmt = $db->conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    $getter = $stmt->fetch();
    $title = $getter['title'];
    $amount = $getter['dollar'];

    $sql = "update users set  req1='getHash',type='" . $title . "'   where chatid='" . $bot->chatid . "' ";
    $db->conn->exec($sql);


$text = "♦️ ♦️ لطفا مبلغ $amount تتر را بر بستر trc20 به والت زیر واریز و پس از تایید تراکنش هش تراکنش را ارسال نمایید .

با نگه داشتن (لمس) ادرس ،  ادرس والت کپی میشود


<code>TF91crGHzAzqFVijPCEadfafsafsdfmiTyj5JHRGsdME2</code>
";
    $bot->sendmessage(urlencode($text), $bot->chatid, $bot->backKey);
} elseif ($db->req1 == 'getHash') {

    $sql = "select * from package where title = '". $db->type . "' ";
    $stmt = $db->conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    $getter = $stmt->fetch();
    $title = $getter['title'];
    $amount = $getter['dollar'];
    $time = intval($getter['time']);
    // $expireTime = time() + (3600 * 24 * $time);

    if ($db->expireTime > time()) {
        // Add 7 days to the existing expire_time
        $new_expire_time = intval($db->expireTime) + $time;
    } else {
        // Set expire_time to 7 days from now
        $new_expire_time = time() + (60*60*24*$time);
    }

    $result = $general->checkTransactionStatus($bot->recmsg, $amount, $db);
    if ($result == 'ok') {
   

        $nowtime = time();
        $sql = "update users set req1='', status=\"active\" ,pay_time=\"$nowtime\",expire_time=\"$new_expire_time\" where chatid='" . $bot->chatid . "' ";
        $db->conn->exec($sql);

        $sql = "insert into hash (chatid,hash,time) values ('" . $bot->chatid . "','" . $bot->recmsg . "','" . time() . "')";
        $db->conn->exec($sql);

        $channelId = '-1002498630544';
        $bot->unBanMember($bot->chatid, $channelId);
        $vipChannel = $bot->generateTelegramInviteLink($channelId)['invite_link'];



        $bot->sendmessage(urlencode("
✅ پرداخت با موفقیت انجام شد

لینک کانال : 
$vipChannel

"), $bot->chatid, '');
    } else {
        $text = "♦️ هش صحیح نمیباشد و یا قبلا از این هش استفاده شده است
        ";
        $bot->sendmessage(urlencode($text), $bot->chatid, $bot->backKey);
    }
}

else {
    $bot->sendmessage(urlencode("❌ دستور غیر قابل پردازش"), $bot->chatid, $key);
}
